Get a container's image
GET
/container/{ocid}/image
const url = 'https://sylve.lan:8181/api/container/1/image';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/container/1/image \ --header 'Authorization: <Authorization>'Get details of the image a container was created from
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”ocid
required
integer
Container ID
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
description
string
digest
string
exposedPorts
Array<string>
id
string
size
integer
title
string
url
string
version
string
volumes
Array<string>
error
string
message
string
status
string
Examplegenerated
{ "data": { "description": "example", "digest": "example", "exposedPorts": [ "example" ], "id": "example", "size": 1, "title": "example", "url": "example", "version": "example", "volumes": [ "example" ] }, "error": "example", "message": "example", "status": "example"}